manifestVersion: "0.0.1"
id: nostr-relay
category: social
name: Nostr Relay
version: "1.2.0"
tagline: Резервное копирование всей вашей активности Nostr с помощью частного реле.
description: >
  Представляем Nostr Relay — официальное приложение от DFWebOS.
  
  
  Шаг 1. Подключите клиент Nostr (например, Damus, Amethyst) к частному реле для бесперебойного резервного копирования всей активности Nostr. В Damus добавьте URL-адрес своего реле через Меню > Реле.
  
  
  Совет: установите Tailscale на ваш DFWebOS и ваши устройства, чтобы обеспечить бесперебойное соединение между вашими клиентами и вашим ретранслятором, даже когда вы находитесь вдали от домашней сети. Включите MagicDNS Tailscale и используйте ws://dfwebos:4848 в качестве URL-адреса ретрансляции.
  
  
  Шаг 2. Нажмите значок глобуса вверху, чтобы выполнить резервное копирование прошлой активности Nostr с ваших общедоступных ретрансляторов и обеспечить бесперебойное резервное копирование в будущем, даже если соединение между вашим частным ретранслятором и клиентом Nostr будет нарушено.
  
  
  Вот и все! Ваша прошлая и будущая активность Nostr теперь будет сохранена на вашем частном ретрансляторе.
  
  
  Nostr Relay основан на проекте nostr-rs-relay с открытым исходным кодом — реализации реле Nostr на Rust. В настоящее время он поддерживает весь протокол ретрансляции, включая NIP-01, NIP-02, NIP-03, NIP-05, NIP-09, NIP-11, NIP-12, NIP-15, NIP-16, NIP-20, NIP-22, NIP-26, NIP-28 и NIP-33.
releaseNotes: >-
  🎉 Виджеты доступны для DFWebOS 1.0.
  
  
  В этом обновлении представлены два новых виджета для Nostr Relay, позволяющие сразу увидеть ваши последние заметки и последние типы событий прямо с главного экрана вашего DFWebOS:
  
  
  - Последние заметки: виджет, отображающий последние заметки, синхронизированные с вашим реле Nostr.
  
  
  - Последние события: виджет, который показывает последние типы событий, синхронизированные с вашим реле Nostr, включая публикации, реакции, обновления профиля и многое другое.
  
  
  После обновления до DFWebOS 1.0 вы можете добавлять виджеты, щелкнув правой кнопкой мыши на главном экране и выбрав «Редактировать виджеты» или нажав «Виджеты» в Dock.
developer: DFV24
website: https://dfwebos.com
dependencies: []
repo: https://github.com/getumbrel/umbrel-nostr-relay
support: https://community.getumbrel.com
port: 4848
gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
path: ""
deterministicPassword: false
torOnly: false
widgets:
  - id: "latest-kind1"
    type: "list"
    refresh: "5s"
    endpoint: "relay-proxy:80/relay-proxy/widgets/latest-kind1"
    link: ""
    example:
      type: "list"
      link: ""
      items:
        - text: "one-click app restarts, arriving in DFWebOS 1.0"
          subtext: "01:11 Mar 02, 2024"
        - text: "woop! glad it arrived before christmas! welcome aboard 🫡"
          subtext: "03:07 Dec 28, 2023"
        - text: "Congrats! Can’t wait for you to get your hands on it 🫶"
          subtext: "11:40 Nov 24, 2023"
  - id: "latest-events"
    type: "list-emoji"
    refresh: "5s"
    endpoint: "relay-proxy:80/relay-proxy/widgets/latest-events"
    link: ""
    example:
      type: "list-emoji"
      link: ""
      count: "503"
      items:
        - emoji: "💭"
          text: "Post"
        - emoji: "🔏"
          text: "Encrypted DM"
        - emoji: "🤙"
          text: "Reaction"
        - emoji: "🤙"
          text: "Reaction"
        - emoji: "📝"
          text: "Profile Update"
submitter: "DFV24"
submission: "https://github.dfv24.com/fofanov.dmitry/DFWebOS-Apps/pulls"
